--- title: "Get image quality" slug: "media-livestation-quality-qualityinfo" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-quality-qualityinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get image quality Available in Classic and VPC Get details of the complete (system, custom) image qualities. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/qualityProfiles/{qualityId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `qualityId` | Integer | Required | Image quality ID - See [Get image quality list](/docs/en/media-livestation-quality-qualitylist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/qualityProfiles/****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Image quality information | | `content.disabled` | Boolean | - | Whether image quality is disabled - `true` \| `false` - `true`: Disabled - `false`: Enabled | | `content.id` | Integer | - | Image quality ID | | `content.status` | String | - | Image quality status - `CREATED`: Creation completed (valid value) | | `content.createdTime` | Integer | - | Image quality creation date and time (millisecond) - Unix timestamp format | | `content.genType` | String | - | Settings classification - `CUSTOM` \| `SYSTEM` - `CUSTOM`: Create manually - `SYSTEM`: Provided by default | | `content.name` | String | - | Image quality name | | `content.type` | String | - | Image quality type - `NORMAL` \| `AUDIO` \| `BYPASS` - `NORMAL`: Video and audio output - `AUDIO`: Audio-only output - `BYPASS`: Follow the source output settings. | | `content.video` | Object | - | Video settings information | | `content.video.fps` | Float | - | Number of frames per second (fps) | | `content.video.bitrate` | Integer | - | Video stream's bitrate (bps) | | `content.video.bframes` | Integer | - | Number of B-frames (bidirectional prediction frames) | | `content.video.level` | Integer | - | Video codec level - `-1`: AUTO (valid value) - A predefined standard specification of the performance limits of the hardware required for playback (decoding) | | `content.video.width` | Integer | - | Output video width (pixel) | | `content.video.height` | Integer | - | Output video height (pixel) | | `content.video.bypass` | Boolean | - | Whether to bypass the video stream - `true` \| `false` - `true`: Use the source stream as is (pass-through). - `false`: Transcode to match the settings information. | | `content.video.codec` | String | - | Video codec format - `H264` (valid value) | | `content.video.orientation` | String | - | Video orientation settings - `FIX` \| `FREE` - `FIX`: Fixed - `FREE`: Switchable | | `content.video.profile` | String | - | Video codec profile - `BASELINE` \| `MAIN` \| `HIGH` - `BASELINE`: Default option (for low-end devices, with minimal features) - `MAIN`: Recommended HD option - `HIGH`: Recommended full HD option - A predefined standard specification that enables the use of specific technologies in the H.264 codec for the intended use of the video | | `content.video.rateControl` | String | - | Bitrate distribution method - `VBR` \| `CBR` - `VBR`: Variable bitrate - `CBR`: Constant bitrate | | `content.video.videoH264ParamRefFrames` | Integer | - | H.264 reference frame count - `1` (valid value) | | `content.audio` | Object | - | Audio settings information | | `content.audio.codec` | String | - | Audio codec format - `AAC` \| `MP3` | | `content.audio.profile` | String | - | Audio codec profile - `LC`: AAC-LC (valid value) | | `content.audio.samplerate` | Integer | - | Audio sampling rate (Hz) - Samples per second | | `content.audio.channels` | Integer | - | Number of audio channels | | `content.audio.bitrate` | Integer | - | Audio stream's bitrate (Kbps) | | `content.audio.bypass` | Boolean | - | Whether to bypass the audio stream - `true` \| `false` - `true`: Use the source stream as is (pass-through). - `false`: Transcode to match the settings information. | | `content.inUseQualitySetNames` | Array | - | List of image quality set names in use - If no image quality sets are in use, display the empty value `[]`. | | `content.inUseChannelNames` | Array | - | List of channel names in use - If no channels are in use, display the empty value `[]`. | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "disabled": false, "id": ****, "status": "CREATED", "createdTime": 1755134604000, "genType": "CUSTOM", "name": "quality000", "type": "NORMAL", "video": { "fps": 60.0, "bitrate": 204800000, "bframes": 4, "level": -1, "width": 1920, "height": 1080, "bypass": true, "codec": "H264", "profile": "HIGH", "rateControl": "VBR", "videoH264ParamRefFrames": 1 }, "audio": { "codec": "AAC", "profile": "LC", "samplerate": 44100, "channels": 2, "bitrate": 320, "bypass": true }, "inUseQualitySetNames": [ "setting000", "setting001", "setting002" ], "inUseChannelNames": [ "channel000" ] } } ```